Sign inGet started

Sender Profiles

GET
/workspaces/{workspaceId}/sender-profiles
Retrieve a list of sender profiles associated with the account
Parámetros de consulta
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Cuerpo de la respuesta
results
array of object
obligatorio
Mostrar atributos secundarios
results.id
string
obligatorio
results.name
string
obligatorio
results.email
object
Mostrar atributos secundarios
results.email.username
string
obligatorio
results.email.domain
string
obligatorio
results.allowedEntities
array of object
Mostrar atributos secundarios
results.allowedEntities.entityType
string
obligatorio
Possible values: team, agent
results.allowedEntities.operation
string
Possible values: view, edit
results.allowedEntities.entityId
string
obligatorio
results.channelId
string
obligatorio
results.signature
string
results.createdAt
string
obligatorio
results.updatedAt
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/sender-profiles
Create a new sender profile, defining its name, and other attributes.
Cuerpo de la solicitud
name
string
obligatorio
username
string
allowedEntities
array of object
Mostrar parámetros secundarios
allowedEntities.entityType
string
obligatorio
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obligatorio
channelId
string
obligatorio
signature
string
Ejemplo de código
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Retrieve information about a specific sender profile, including its name, and other attributes.
Cuerpo de la respuesta
id
string
obligatorio
name
string
obligatorio
email
object
Mostrar atributos secundarios
email.username
string
obligatorio
email.domain
string
obligatorio
allowedEntities
array of object
Mostrar atributos secundarios
allowedEntities.entityType
string
obligatorio
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obligatorio
channelId
string
obligatorio
signature
string
createdAt
string
obligatorio
updatedAt
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Modify the details of a specific sender profile, such as its name or other attributes.
Cuerpo de la solicitud
name
string
username
string
signature
string
allowedEntities
array of object
Mostrar parámetros secundarios
allowedEntities.entityType
string
obligatorio
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obligatorio
channelId
string
Cuerpo de la respuesta
id
string
obligatorio
name
string
obligatorio
email
object
Mostrar atributos secundarios
email.username
string
obligatorio
email.domain
string
obligatorio
allowedEntities
array of object
Mostrar atributos secundarios
allowedEntities.entityType
string
obligatorio
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obligatorio
channelId
string
obligatorio
signature
string
createdAt
string
obligatorio
updatedAt
string
obligatorio
Ejemplo de código
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Remove a specific sender profile.
Ejemplo de código
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/sender-profiles/signature-variables
Retrieve a list of variables to use for signature configuration in sender profile.
Cuerpo de la respuesta
results
array of object
obligatorio
Mostrar atributos secundarios
results.id
string
results.name
string
results.defaultDescription
string
results.variable
string
results.category
string
results.replacementAttribute
string
results.langDescription
object
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/signature-variables' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/users/{userId}/sender-profiles
Retrieve a list of sender profiles associated with a user.
Parámetros de consulta
channelId
string
Filter by channelId
Cuerpo de la respuesta
results
array of object
obligatorio
Mostrar atributos secundarios
results.id
string
obligatorio
results.name
string
obligatorio
results.email
object
Mostrar atributos secundarios
results.email.username
string
obligatorio
results.email.domain
string
obligatorio
results.allowedEntities
array of object
Mostrar atributos secundarios
results.allowedEntities.entityType
string
obligatorio
Possible values: team, agent
results.allowedEntities.operation
string
Possible values: view, edit
results.allowedEntities.entityId
string
obligatorio
results.channelId
string
obligatorio
results.signature
string
results.createdAt
string
obligatorio
results.updatedAt
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/users/{userId}/sender-profiles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'